Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/private/cancel_block_rfq_trigger \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "private/cancel_block_rfq_trigger",
  "params": {
    "block_rfq_id": 123
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/private/cancel_block_rfq_trigger"

payload = {
"jsonrpc": "2.0",
"id": 1,
"method": "private/cancel_block_rfq_trigger",
"params": { "block_rfq_id": 123 }
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 1,
method: 'private/cancel_block_rfq_trigger',
params: {block_rfq_id: 123}
})
};

fetch('https://test.deribit.com/api/v2/private/cancel_block_rfq_trigger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "creation_timestamp": 1730798381504,
    "expiration_timestamp": 1730798481504,
    "block_rfq_id": 123,
    "role": "taker",
    "state": "open",
    "taker_rating": "1-2",
    "makers": [
      "maker1",
      "maker2"
    ],
    "amount": 100,
    "min_trade_amount": 10,
    "legs": [
      {
        "instrument_name": "BTC-8NOV24-70000-C",
        "ratio": 1
      },
      {
        "instrument_name": "BTC-8NOV24-72000-C",
        "ratio": 1
      }
    ],
    "combo_id": "BTC-CS-8NOV24-70000_72000",
    "label": "My Block RFQ",
    "app_name": "Example Application",
    "mark_price": 0.025,
    "disclosed": false,
    "trade_trigger": {
      "state": "cancelled",
      "price": 0.01,
      "direction": "buy",
      "cancel_reason": "User cancelled"
    }
  }
}

Query Parameters

block_rfq_id
integer
required

ID of the Block RFQ

Response

200 - application/json

Success response

creation_timestamp
integer

The timestamp when Block RFQ was created (milliseconds since the Unix epoch)

Example:

1536569522277

expiration_timestamp
integer

The timestamp when the Block RFQ will expire (milliseconds since the UNIX epoch)

Example:

1536569522277

block_rfq_id
integer

ID of the Block RFQ

role
enum<string>

Role of the user in Block RFQ

Available options:
taker,
maker
state
enum<string>

State of the Block RFQ

Available options:
open,
filled,
cancelled,
expired
taker_rating
string

Rating of the taker

makers
string[]

List of targeted Block RFQ makers

amount
number

This value multiplied by the ratio of a leg gives trade size on that leg.

min_trade_amount
number

Minimum amount for trading

asks
object[]
bids
object[]
legs
object[]
hedge
object
combo_id
string

Unique combo identifier

Example:

"BTC-FS-31DEC21-PERP"

label
string

User defined label for the Block RFQ (maximum 64 characters)

app_name
string

The name of the application that created the Block RFQ on behalf of the user (optional, visible only to taker).

Example:

"Example Application"

mark_price
number

The mark price for the instrument

disclosed
boolean

Indicates whether the RFQ was created as non-anonymous, meaning taker and maker aliases are visible to counterparties.

taker
string

Taker alias. Present only when disclosed is true.

Example:

"TAKER1"

index_prices
number[]

A list of index prices for the underlying instrument(s) at the time of trade execution.

included_in_taker_rating
boolean

Indicates whether the RFQ is included in the taker's rating calculation. Present only for closed RFQs created by the requesting taker.

trades
object[]
trade_trigger
object

Present only if a trade trigger was placed by the taker and only visible to taker. Only for cases: cancelled (contains the reason for cancellation) and untriggered (contains the information about the trade trigger).

trade_allocations
object[]

List of allocations for Block RFQ pre-allocation. Allows to split amount between different (sub)accounts. The taker can also allocate to himself. Visible only to the taker.